EditPlacePartBuilder Class

class NXOpen.Routing.EditPlacePartBuilder

Bases: NXOpen.Builder

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreateEditPlacePartBuilder()

New in version NX10.0.0.

Properties

Property Description
SelectedPart Returns the target body to edit part placement
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
FinalizePlacementForScrewSeat Places a screw measurement holder seat part onto a target object by locating and constraining by the given parameters.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
GetScrewSeatAngle Gets the angle expression to be used for screw seat placement along a placed object.
GetScrewSeatLength Gets the length expression to be used for screw seat placement along a placed object.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

SelectedPart

EditPlacePartBuilder.SelectedPart

Returns the target body to edit part placement

-------------------------------------

Getter Method

Signature SelectedPart

Returns:
Return type:NXOpen.SelectTaggedObjectList

New in version NX10.0.0.

License requirements: routing_base (“Routing Basic”)

Method Detail

FinalizePlacementForScrewSeat

EditPlacePartBuilder.FinalizePlacementForScrewSeat

Places a screw measurement holder seat part onto a target object by locating and constraining by the given parameters.

Signature FinalizePlacementForScrewSeat(startPointId, endPointId, alignStartPoint, alignEndPoint, length, angle, alignVector, screwSeatInstance, target)

Parameters:

New in version NX10.0.0.

License requirements: routing_base (“Routing Basic”)

GetScrewSeatAngle

EditPlacePartBuilder.GetScrewSeatAngle

Gets the angle expression to be used for screw seat placement along a placed object.

Signature GetScrewSeatAngle()

Returns:The angle used for screw seat placement on placed routing object.
Return type:NXOpen.Expression

New in version NX10.0.0.

License requirements: routing_base (“Routing Basic”)

GetScrewSeatLength

EditPlacePartBuilder.GetScrewSeatLength

Gets the length expression to be used for screw seat placement along a placed object.

Signature GetScrewSeatLength()

Returns:The length used for screw seat placement on placed routing object.
Return type:NXOpen.Expression

New in version NX10.0.0.

License requirements: routing_base (“Routing Basic”)

Validate

EditPlacePartBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.